Get subtitles
curl --request GET \
--url https://api.aircaps.com/v1/transcripts/{id}/subtitles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aircaps.com/v1/transcripts/{id}/subtitles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aircaps.com/v1/transcripts/{id}/subtitles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"1\n00:00:00,480 --> 00:00:02,310\n[speaker_0] hey good afternoon everybody\n"{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "invalid API key",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "invalid_request_error",
"code": "not_found",
"message": "transcript not found",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "invalid_request_error",
"code": "transcript_not_ready",
"message": "transcript is processing",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "internal error",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}Transcripts
Get subtitles
SRT or WebVTT captions for a completed transcript, with the speaker in each cue.
GET
/
v1
/
transcripts
/
{id}
/
subtitles
Get subtitles
curl --request GET \
--url https://api.aircaps.com/v1/transcripts/{id}/subtitles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aircaps.com/v1/transcripts/{id}/subtitles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aircaps.com/v1/transcripts/{id}/subtitles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"1\n00:00:00,480 --> 00:00:02,310\n[speaker_0] hey good afternoon everybody\n"{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "invalid API key",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "invalid_request_error",
"code": "not_found",
"message": "transcript not found",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "invalid_request_error",
"code": "transcript_not_ready",
"message": "transcript is processing",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "internal error",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}Authorizations
Your API key: Authorization: Bearer aircaps_sk_...
Path Parameters
Transcript ID.
Example:
"tr_01k6z3m4q8w7e5r2t1y0u9i8o7"
Query Parameters
Available options:
srt, vtt Maximum characters per caption.
Required range:
10 <= x <= 200Response
Subtitles as text.
The response is of type string.